# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit linux-info linux-mod

DESCRIPTION="Librem EC ACPI Driver"
HOMEPAGE="https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms"

# "GBE Ethernet LINUX driver r8168 for kernel up to 5.6" from above link,
# we need to mirror it to avoid users from needing to fill a captcha to
# download
SRC_URI="https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms/-/archive/master/librem-ec-acpi-dkms-master.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64"

MODULE_NAMES="librem_ec_acpi"
BUILD_TARGETS="modules"

pkg_setup() {
	linux-mod_pkg_setup
	BUILD_PARAMS="KERNELDIR=${KV_DIR}"
}

src_install() {
	linux-mod_src_install
	einstalldocs
}
