EAPI="6"
K_SECURITY_UNSUPPORTED="1"
K_PREDEBLOBBED="1"
ETYPE="sources"
inherit kernel-2
detect_version

DESCRIPTION="Full sources for the Linux Libre kernel"
HOMEPAGE="https://www.fsfla.org/ikiwiki/selibre/linux-libre/"
BASE_URI="http://linux-libre.fsfla.org/pub/linux-libre/releases/${KV_MAJOR}.${KV_MINOR}-gnu/linux-libre-${KV_MAJOR}.${KV_MINOR}-gnu.tar.xz -> linux-${KV_MAJOR}.${KV_MINOR}.tar.xz"
PATCH_URI="http://linux-libre.fsfla.org/pub/linux-libre/releases/${PV}-gnu/patch-${KV_MAJOR}.${KV_MINOR}-gnu-${PV}-gnu.xz"
SRC_URI="${BASE_URI} ${PATCH_URI}"
RESTRICT="mirror"
KEYWORDS="~amd64"
UNIPATCH_LIST_DEFAULT=""
UNIPATCH_LIST="${DISTDIR}/patch-5.10-gnu-${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-gnu.xz"

pkg_postinst() {
	kernel-2_pkg_postinst
	einfo "For more info on this patchset, and how to report problems, see:"
	einfo "${HOMEPAGE}"
}

pkg_postrm() {
	kernel-2_pkg_postrm
}
